import Fastify from 'fastify';
import db from './plugins/db';
import userRoutes from './routes/user';

const app = Fastify();

app.register(db);
app.register(userRoutes, { prefix: '/api/users' });

app.listen({ port: 3001 }, (err) => {
  if (err) throw err;
  console.log('Server running on http://localhost:3001');
});
